Subject: Re: bug#21278: 25.0.50; char-fold search is a screw, and I can't see how to disable

From: Juri Linkov <[email-masked]>
Date: Thu, 20 Aug 2015 01:20:30 +0300

>> It is a screw that char-fold isearch treats space and NL as equivalent.
>> They do not look alike.  Please disconnect them.
>
> As of 2 weeks ago, it doesn't. You can verify that by running
> (character-fold-to-regexp " ")
> The regexp it returns doesn't contain newline chars.
>
> isearch-lax-whitespace does treat space as NL, so maybe that's what
> you're seeing.
> I believe there's a bug in `isearch-search-fun-default' where even if
> you disable `isearch-lax-whitespace', isearch sometimes uses
> lax-whitespace anyway.
>
> I would have fixed this myself, but I don't quite understand what that
> code is trying to do and last time I asked for help nobody answered.

Sorry for missing your questions.  ‘isearch-search-fun-default’ detects
the situation when the user is in the process of typing a word,
so it should not match incomplete words, otherwise the word search
will immediately fail and not allow the user to complete the word.
I guess this code is not necessary for char-fold search, but to
double-check I'm looking at this problem now.